# Uses of Interface
org.eclipse.pde.core.plugin.IPluginReference

Packages that use IPluginReference
Package
Description
org.eclipse.pde.core.plugin
Application programming interfaces for working with PDE's model of plug-ins.
org.eclipse.pde.ui
Application programming interfaces describing UI elements that can be contributed to PDE.
org.eclipse.pde.ui.templates
Application programming interfaces for contributing to and extending PDE project templates.

## Uses of IPluginReference in org.eclipse.pde.core.plugin

Subinterfaces of IPluginReference in org.eclipse.pde.core.plugin
Modifier and Type
Interface
Description
`interface`
`IPluginImport`
Objects that implement this interface represent references to required plug-ins.

## Uses of IPluginReference in org.eclipse.pde.ui

Methods in org.eclipse.pde.ui that return IPluginReference
Modifier and Type
Method
Description
`IPluginReference[]`
IPluginContentWizard.`getDependencies(String schemaVersion)`
Returns new dependencies that are required by this wizard.

## Uses of IPluginReference in org.eclipse.pde.ui.templates

Classes in org.eclipse.pde.ui.templates that implement IPluginReference
Modifier and Type
Class
Description
`class`
`PluginReference`
Implementation of the IPluginReference
Methods in org.eclipse.pde.ui.templates that return IPluginReference
Modifier and Type
Method
Description
`IPluginReference[]`
AbstractNewPluginTemplateWizard.`getDependencies(String schemaVersion)`
`IPluginReference[]`
AbstractTemplateSection.`getDependencies(String schemaVersion)`
`IPluginReference[]`
ITemplateSection.`getDependencies(String schemaVersion)`
Provides the list of template dependencies.